Book_2_Chapter_4_Light_in_the_Darkness = class(Window);

function Book_2_Chapter_4_Light_in_the_Darkness: GetName()
	return "Book 2, Chapter 4: Light in the Darkness";
end

function Book_2_Chapter_4_Light_in_the_Darkness: IsRunning()
	return (self.window ~= nil);
end

function Book_2_Chapter_4_Light_in_the_Darkness: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 2, Capítulo 4: Luz na Escuridão"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Candaith-30.1S, 37.9W - Candaith's Encampment - Lone-lands");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nQuando eu estava voltando das terras ao leste, o céu noturno sobre Weathertop foi iluminado por flashes brilhantes de luz branca, semelhante a um relâmpago, mas nenhuma nuvem escureceu o céu e de trovão não havia som.\n\n'Acho que nenhuma tempestade comum visitou Amon Sûl naquela noite. Peço-lhe que procure nas ruínas no topo do Weathertop e veja se há algo para encontrar, meu amigo.\n\n'Se você encontrar algo fora do comum, me retorne imediatamente.'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nQuando Candaith voltou de sua jornada nas terras ao leste, ele viu flashes de luz branca no topo do Weathertop, semelhante a um relâmpago, embora não houvesse tempestade.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Procure no cume do Weathertop por algo incomum\n Torres do topo do vento acima do acampamento de Candaith.\n\nCandaith pediu que você procurasse no Weathertop por qualquer coisa fora do comum e trouxesse qualquer notícia ou evidência que pudesse encontrar para ele.\n\nCandaith: 'Algo aconteceu no topo do Weathertop naquela noite, e eu quero saber o que pode ter sido. Procure alguma coisa fora do comum no cume e me retorne se encontrar alguma coisa.\nVocê pega uma lasca das runas na pedra e coloca na sua mochila\n\n2- Traga a lasca de pedra para Candaith\nO acampamento de Candaith fica ao pé do Topo do Vento.\n\nVocê encontrou uma pedra coberta de runas e deu uma esfregada nas marcas. Você deve retornar a Candaith e saber se ele sabe o que as runas podem significar.\n\nCandaith: 'Ah, você encontrou alguma coisa? Deixe-me ver esta lasca de pedra que você fez.\n'As runas são comuns, mas não sei o que elas significam. Receio que isso não me diga muito sobre o relâmpago, mas me diz algo sobre a fonte. Provavelmente a mesma pessoa responsável por enviar você para mim.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVá para o topo do Weathertop para a pedra\nExistem duas rotas para o topo do Weathertop. O caminho mais longo espirala no sentido horário ao redor da montanha começando no lado norte. O caminho curto começa a sudeste do acampamento de Candaith e rapidamente sobe um caminho íngreme até o pico.\nPegue uma lasca da Rocha coberta de runas.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido pelo Dastan e patrocinado pelo Nelson Oliveira");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_2_Chapter_4_Light_in_the_Darkness:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_2_Chapter_4_Light_in_the_Darkness()); 